// pages/setup/index.js
const api = require('../../api/index.js');
Page({

  /**
   * 页面的初始数据
   */
  data: {
// 状态栏高度
statusBarHeight: wx.getStorageSync('statusBarHeight'),
// 导航栏高度
navBarHeight: wx.getStorageSync('navBarHeight'),

// 导航栏和状态栏高度
navStatusBarHeight: wx.getStorageSync('navStatusBarHeight'),

// 胶囊
menu:wx.getStorageSync('menu'),
accountInfo:'',
user:'',
station:wx.getStorageSync('station'),
showMultiTextAndTitle:false,
inputValue: '' // 初始值
  },
  onstation(){
    wx.navigateTo({
      url: '/pages/station/index', // 登录页面的路径，注意路径前面加上 '/' 表示从根目录开始
    });
  },
  onsetup(){
    wx.navigateTo({
      url: '/pages/setuplevel/index', // 登录页面的路径，注意路径前面加上 '/' 表示从根目录开始
    });
  },
  // 电站详情
  onpowerstation(){
    wx.showToast({
      title: '暂未开放',
      icon: 'none'
    });
    return
 this.setData({
  showMultiTextAndTitle:true
 })
    
  },
  closeDialog(){
 this.setData({
  showMultiTextAndTitle:false
   
 })
  },
  // 扫码
  onscancode(){
    let _this = this 
    wx.scanCode({
      success: (res) => {
        console.log(res);
        const regex = /[?&]Id=([a-zA-Z0-9]+)/;
const match = res.result.match(regex);
let id = ''
if (match) {
   id = match[1]; // 第一个捕获组的值即为 Id 的值
//  /^S.{12}\d{8}$/ 
   wx.navigateTo({
    url: `/pages/powerstation/index?id=${id}&source=sm`, // 登录页面的路径，注意路径前面加上 '/' 表示从根目录开始
  });
}else{
  wx.showToast({
    title: '二维码没有识别到设备编码',
    icon: 'none'
  });
}
_this.setData({
  showMultiTextAndTitle:false
   
 })
     
      }
    })
  },
  // 创建电站
  
  handleInput(e){
    console.log(e);
    this.setData({
      inputValue: e.detail.value // 更新 inputValue
    });
  },
  click(){
    console.log('当前输入的文字是:', this.data.inputValue);
  },
  oncreatestation(){

  },
  toconfigure(){
    wx.showToast({
      title: '暂未开放',
      icon: 'none'
    });
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
   let _this = this
   try {
    const accountInfo = wx.getAccountInfoSync();
    this.setData({
      accountInfo:accountInfo.miniProgram.version
    })
  } catch (e) {
    console.error("获取小程序版本号失败:", e);
  }
    // this.getuser()
  },
   getuser(){
    api.request(`/platform/user/selectaccountNumber`, 'POST')
    .then((res) => {
    // console.log(res);
    this.setData({
      user:res.data
    })
    })
    .catch((err) => {
      console.error('请求失败：', err);
      // 在这里处理请求失败的情况
      
      
    });
   },
   
   onuser(){
    wx.showToast({
      title: '暂未开放',
      icon: 'none'
    });
    return
    wx.navigateTo({
      url: '/pages/user/index', // 登录页面的路径，注意路径前面加上 '/' 表示从根目录开始
    });
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    this.setData({

      station:wx.getStorageSync('station')
    })
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享   
   */                  
  onShareAppMessage() {

  }
})
